Package com.emc.documentum.rest.config

# Enum Class PersistenceConfig

java.lang.Object
java.lang.Enum<PersistenceConfig>
com.emc.documentum.rest.config.PersistenceConfig

All Implemented Interfaces:
  `Serializable`, `Comparable<PersistenceConfig>`, `Constable`

public enum PersistenceConfig extends Enum<PersistenceConfig>
The runtime configuration for persistence settings where the settings are loaded from the classpath resource 'rest-api-persistence-config.properties'.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INSTANCE`
  The singleton instance of `PersistenceConfig`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `archiveContentsThreshold()`
  Get the largest size of contents allowed to download, in bytes.
  `AttributeView`
  `defaultCollectionAttributeView()`
  For internal use.
  `String`
  `defaultContentFormat()`
  For internal use.
  `MediaUrlPolicy`
  `defaultContentMediaUrlPolicy()`
  For internal use.
  `String`
  `defaultContentPageModifier()`
  For internal use.
  `int`
  `defaultContentPageNumber()`
  For internal use.
  `String`
  `defaultContentVersionLabels()`
  For internal use.
  `String`
  `defaultLocale()`
  Get the default locale.
  `DeleteVersionPolicy`
  `deleteVersionPolicy()`
  For internal use.
  `boolean`
  `isCheckInVersionLabelRestricted()`
  Checks whether restrict the version label of check in operation
  `boolean`
  `isContentOverwriteAllowed()`
  For internal use.
  `boolean`
  `isDeleteAllFolderLinksAllowed()`
  For internal use.
  `boolean`
  `isDeleteNonEmptyFolderAllowed()`
  For internal use.
  `boolean`
  `isMessageLoggingEnabled()`
  Checks if message logging is enabled
  `boolean`
  `isPrimaryContentByDefault()`
  For internal use.
  `boolean`
  `isRangeDqlAllowed()`
  For internal use.
  `boolean`
  `isUnmodifiedUpdateIgnored()`
  For internal use.
  `int`
  `messageLoggingBuffer()`
  Get default buffer size for logging request and response in byte
  `String`
  `tempDir()`
  The temp directory to store generated temporary files
  `static PersistenceConfig`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PersistenceConfig[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INSTANCE

    public static final PersistenceConfig INSTANCE
    The singleton instance of `PersistenceConfig`

- ## Method Details

  - ### values

    public static PersistenceConfig[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PersistenceConfig valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isRangeDqlAllowed

    public boolean isRangeDqlAllowed()
    For internal use. Check whether DQL range search feature can be used in the query template
    Returns:
      `true` if ranged query is supported

  - ### defaultCollectionAttributeView

    public AttributeView defaultCollectionAttributeView()
    For internal use. Get the default attribute view for collection.
    Returns:
      default attribute view for the collection

  - ### isDeleteNonEmptyFolderAllowed

    public boolean isDeleteNonEmptyFolderAllowed()
    For internal use. Check whether deleting non empty folder is allowed
    Returns:
      `true` if the deletion can remove non empty folders

  - ### isDeleteAllFolderLinksAllowed

    public boolean isDeleteAllFolderLinksAllowed()
    For internal use. Check whether deleting all folder links is allowed
    Returns:
      `true` if the deletion can remove all folder links

  - ### deleteVersionPolicy

    public DeleteVersionPolicy deleteVersionPolicy()
    For internal use. Get the delete version policy.
    Returns:
      the delete version policy

  - ### isUnmodifiedUpdateIgnored

    public boolean isUnmodifiedUpdateIgnored()
    For internal use. Check whether ignoring unmodified attributes during update.
    Returns:
      `true` if ignoring the update for value unmodified attributes

  - ### isContentOverwriteAllowed

    public boolean isContentOverwriteAllowed()
    For internal use. Check whether overwriting is allowed on content update.
    Returns:
      `true` if the content can overwrite the same on the server

  - ### isPrimaryContentByDefault

    public boolean isPrimaryContentByDefault()
    For internal use. Check whether creating the primary content as the default.
    Returns:
      `true` if the import content is primary

  - ### defaultContentPageNumber

    public int defaultContentPageNumber()
    For internal use. Get the default page number for content creating.
    Returns:
      default content page number

  - ### defaultContentPageModifier

    public String defaultContentPageModifier()
    For internal use. Get the default page modifier for content creating.
    Returns:
      default content page modifier

  - ### defaultContentVersionLabels

    public String defaultContentVersionLabels()
    For internal use. Get the default content version labels for document creating.
    Returns:
      default content version labels

  - ### defaultContentFormat

    public String defaultContentFormat()
    For internal use. Get the default content format in content creating.
    Returns:
      default content format

  - ### defaultContentMediaUrlPolicy

    public MediaUrlPolicy defaultContentMediaUrlPolicy()
    For internal use. Get the default content media URL policy in returning content media.
    Returns:
      default content media URL policy

  - ### tempDir

    public String tempDir()
    The temp directory to store generated temporary files
    Returns:
      a directory path if rest.temp.dir is specified in configuration file otherwise, the default value System.getProperty("java.io.tmpdir") will be returned

  - ### isMessageLoggingEnabled

    public boolean isMessageLoggingEnabled()
    Checks if message logging is enabled
    Returns:
      `true` if message logging is enabled

  - ### messageLoggingBuffer

    public int messageLoggingBuffer()
    Get default buffer size for logging request and response in byte
    Returns:
      default buffer size for logging request and response in byte

  - ### isCheckInVersionLabelRestricted

    public boolean isCheckInVersionLabelRestricted()
    Checks whether restrict the version label of check in operation
    Returns:
      `true` if the version label composed by number and dot are forbidden

  - ### defaultLocale

    public String defaultLocale()
    Get the default locale. By default, "en" is the default locale.
    Returns:
      the default locale

  - ### archiveContentsThreshold

    public double archiveContentsThreshold()
    Get the largest size of contents allowed to download, in bytes. The default value is 20GB.
    Returns:
      the archive contents threshold